Bug 1418005 - fstrim.service executes fstrim for each btrfs subvolume
Summary: fstrim.service executes fstrim for each btrfs subvolume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 15:09 UTC by Andreas Schneider
Modified: 2017-07-20 12:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-20 12:33:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Andreas Schneider 2017-01-31 15:09:18 UTC
Description of problem:

The fstrim.service of the util-linux package executes fstrim -a. This runs fstrim on each mountpoint, with btrfs it runs it on each subvolume. For a system which easily has 15 subvolume fstrim is executed 15 times on the same device.

Please apply the following patch:

https://git.kernel.org/cgit/utils/util-linux/util-linux.git/commit/?id=afa382f2e087b71c9e626144f2f313abc42ad594

Comment 3 Fedora Update System 2017-06-22 10:07:49 UTC
util-linux-2.30-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0d905dbef8

Comment 4 Fedora Update System 2017-06-23 06:26:40 UTC
util-linux-2.30-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0d905dbef8

Comment 5 Fedora Update System 2017-07-07 22:57:07 UTC
util-linux-2.30-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.